"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadTemplate = exports.saveFile = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
/**
 * Save file with promise api.
 *
 * @param content
 * @param filePath
 */
function saveFile(content, filePath) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise(((resolve, reject) => {
            return fs_1.default.writeFile(filePath, content, (err) => {
                if (err)
                    reject(err);
                resolve();
            });
        }));
    });
}
exports.saveFile = saveFile;
/**
 * Load template (.tpl) file from disk.
 * @param file
 */
function loadTemplate(file) {
    return __awaiter(this, void 0, void 0, function* () {
        const tplPath = path_1.default.isAbsolute(file) ? file : path_1.default.join(__dirname, '/../../template/', file);
        return new Promise((resolve, reject) => {
            return fs_1.default.readFile(tplPath, ({ encoding: 'utf-8' }), (err, data) => {
                if (err)
                    reject(err);
                resolve(data);
            });
        });
    });
}
exports.loadTemplate = loadTemplate;
//# sourceMappingURL=utils.js.map