"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientClosedRequest = exports.BlockedByWindowsParentalControls = exports.RetryWith = exports.NoResponse = exports.RequestHeaderFieldsTooLarge = exports.TooManyRequests = exports.PreconditionRequired = exports.UpgradeRequired = exports.UnorderedCollection = exports.FailedDependency = exports.Locked = exports.UnprocessableEntity = exports.EnhanceYourCalm = exports.ImATeapot = exports.ExpectationFailed = exports.RequestedRangeNotSatisfiable = exports.UnsupportedMediaType = exports.RequestURITooLong = exports.RequestEntityTooLarge = exports.PreconditionFailed = exports.LengthRequired = exports.Gone = exports.Conflict = exports.RequestTimeout = exports.ProxyAuthenticationRequired = exports.NotAcceptable = exports.MethodNotAllowed = exports.NotFound = exports.Forbidden = exports.Unauthorized = exports.BadRequest = void 0;
const _400_bad_request_1 = require("./400-bad-request");
Object.defineProperty(exports, "BadRequest", { enumerable: true, get: function () { return _400_bad_request_1.BadRequestError; } });
const _401_unauthorized_1 = require("./401-unauthorized");
Object.defineProperty(exports, "Unauthorized", { enumerable: true, get: function () { return _401_unauthorized_1.UnauthorizedError; } });
const _403_forbidden_1 = require("./403-forbidden");
Object.defineProperty(exports, "Forbidden", { enumerable: true, get: function () { return _403_forbidden_1.ForbiddenError; } });
const _404_not_found_1 = require("./404-not-found");
Object.defineProperty(exports, "NotFound", { enumerable: true, get: function () { return _404_not_found_1.NotFoundError; } });
const _405_method_not_allowed_1 = require("./405-method-not-allowed");
Object.defineProperty(exports, "MethodNotAllowed", { enumerable: true, get: function () { return _405_method_not_allowed_1.MethodNotAllowedError; } });
const _406_not_acceptable_1 = require("./406-not-acceptable");
Object.defineProperty(exports, "NotAcceptable", { enumerable: true, get: function () { return _406_not_acceptable_1.NotAcceptableError; } });
const _407_proxy_authentication_required_1 = require("./407-proxy-authentication-required");
Object.defineProperty(exports, "ProxyAuthenticationRequired", { enumerable: true, get: function () { return _407_proxy_authentication_required_1.ProxyAuthenticationRequiredError; } });
const _408_request_timeout_1 = require("./408-request-timeout");
Object.defineProperty(exports, "RequestTimeout", { enumerable: true, get: function () { return _408_request_timeout_1.RequestTimeoutError; } });
const _409_conflict_1 = require("./409-conflict");
Object.defineProperty(exports, "Conflict", { enumerable: true, get: function () { return _409_conflict_1.ConflictError; } });
const _410_gone_1 = require("./410-gone");
Object.defineProperty(exports, "Gone", { enumerable: true, get: function () { return _410_gone_1.GoneError; } });
const _411_length_required_1 = require("./411-length-required");
Object.defineProperty(exports, "LengthRequired", { enumerable: true, get: function () { return _411_length_required_1.LengthRequiredError; } });
const _412_precondition_failed_1 = require("./412-precondition-failed");
Object.defineProperty(exports, "PreconditionFailed", { enumerable: true, get: function () { return _412_precondition_failed_1.PreconditionFailedError; } });
const _413_request_entity_too_large_1 = require("./413-request-entity-too-large");
Object.defineProperty(exports, "RequestEntityTooLarge", { enumerable: true, get: function () { return _413_request_entity_too_large_1.RequestEntityTooLargeError; } });
const _414_request_uri_too_long_1 = require("./414-request-uri-too-long");
Object.defineProperty(exports, "RequestURITooLong", { enumerable: true, get: function () { return _414_request_uri_too_long_1.RequestURITooLongError; } });
const _415_unsupported_media_type_1 = require("./415-unsupported-media-type");
Object.defineProperty(exports, "UnsupportedMediaType", { enumerable: true, get: function () { return _415_unsupported_media_type_1.UnsupportedMediaTypeError; } });
const _416_requested_range_not_satisfiable_1 = require("./416-requested-range-not-satisfiable");
Object.defineProperty(exports, "RequestedRangeNotSatisfiable", { enumerable: true, get: function () { return _416_requested_range_not_satisfiable_1.RequestedRangeNotSatisfiableError; } });
const _417_expectation_failed_1 = require("./417-expectation-failed");
Object.defineProperty(exports, "ExpectationFailed", { enumerable: true, get: function () { return _417_expectation_failed_1.ExpectationFailedError; } });
const _418_im_a_teapot_1 = require("./418-im-a-teapot");
Object.defineProperty(exports, "ImATeapot", { enumerable: true, get: function () { return _418_im_a_teapot_1.ImATeapotError; } });
const _420_enhance_your_calm_1 = require("./420-enhance-your-calm");
Object.defineProperty(exports, "EnhanceYourCalm", { enumerable: true, get: function () { return _420_enhance_your_calm_1.EnhanceYourCalmError; } });
const _422_unprocessable_entity_1 = require("./422-unprocessable-entity");
Object.defineProperty(exports, "UnprocessableEntity", { enumerable: true, get: function () { return _422_unprocessable_entity_1.UnprocessableEntityError; } });
const _423_locked_1 = require("./423-locked");
Object.defineProperty(exports, "Locked", { enumerable: true, get: function () { return _423_locked_1.LockedError; } });
const _424_failed_dependency_1 = require("./424-failed-dependency");
Object.defineProperty(exports, "FailedDependency", { enumerable: true, get: function () { return _424_failed_dependency_1.FailedDependencyError; } });
const _425_unordered_collection_1 = require("./425-unordered-collection");
Object.defineProperty(exports, "UnorderedCollection", { enumerable: true, get: function () { return _425_unordered_collection_1.UnorderedCollectionError; } });
const _424_upgrade_required_1 = require("./424-upgrade-required");
Object.defineProperty(exports, "UpgradeRequired", { enumerable: true, get: function () { return _424_upgrade_required_1.UpgradeRequiredError; } });
const _428_precondition_required_1 = require("./428-precondition-required");
Object.defineProperty(exports, "PreconditionRequired", { enumerable: true, get: function () { return _428_precondition_required_1.PreconditionRequiredError; } });
const _429_too_many_requests_1 = require("./429-too-many-requests");
Object.defineProperty(exports, "TooManyRequests", { enumerable: true, get: function () { return _429_too_many_requests_1.TooManyRequestsError; } });
const _431_request_header_fields_too_large_1 = require("./431-request-header-fields-too-large");
Object.defineProperty(exports, "RequestHeaderFieldsTooLarge", { enumerable: true, get: function () { return _431_request_header_fields_too_large_1.RequestHeaderFieldsTooLargeError; } });
const _444_no_response_1 = require("./444-no-response");
Object.defineProperty(exports, "NoResponse", { enumerable: true, get: function () { return _444_no_response_1.NoResponseError; } });
const _449_retry_with_1 = require("./449-retry-with");
Object.defineProperty(exports, "RetryWith", { enumerable: true, get: function () { return _449_retry_with_1.RetryWithError; } });
const _450_blocked_by_windows_parental_controls_1 = require("./450-blocked-by-windows-parental-controls");
Object.defineProperty(exports, "BlockedByWindowsParentalControls", { enumerable: true, get: function () { return _450_blocked_by_windows_parental_controls_1.BlockedByWindowsParentalControlsError; } });
const _499_client_closed_request_1 = require("./499-client-closed-request");
Object.defineProperty(exports, "ClientClosedRequest", { enumerable: true, get: function () { return _499_client_closed_request_1.ClientClosedRequestError; } });
//# sourceMappingURL=aliases.js.map